/* GENERAL */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  text-decoration: none;
  scroll-behavior: smooth;
  list-style: none;
}

header {
  position: fixed;
  top: 1rem;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5rem;
  background-color: rgba(0, 0, 0, 0.75);
  backdrop-filter: blur(8px);
  color: white;
  padding: 0.5rem 1.5rem;
  border-radius: 3rem;
  z-index: 1000;
}

.logo {
  color: white;
  font-size: 1.5rem;
  font-weight: 600;
  text-wrap: nowrap;
  transition: 0.3s ease-in-out;
}

.logo:hover {
  transform: scale(1.1);
}

.nav-links {
  display: flex;
  gap: 2rem;
}

li a {
  position: relative;
  color: white;
  font-weight: 500;
}

li a::before {
  position: absolute;
  content: "";
  width: 0;
  left: 0;
  height: 5px;
  top: 25px;
  border-radius: 1rem;
  transition: 0.3s ease-in-out;
  background: linear-gradient(to right, rgb(0, 157, 255), rgb(255, 0, 255));
}

li a:hover::before {
  width: 100%;
}
/* DARK MODE */
:root {
  --base-color: white;
  --base-variant: white;
  --text-color: #111528;
  --secondary-text: #232738;
  --primary-color: #3a435d;
  --accent-color: #0071ff;
}
.darkmode {
  --base-color: #1e1e1e;
  --base-variant: #1e1e1e;
  --text-color: #ffffff;
  --secondary-text: #a4a5b8;
  --primary-color: #3a435d;
  --accent-color: #0071ff;
}
body {
  min-height: 100vh;
  background-color: var(--base-color);
  color: var(--text-color);
}
a {
  color: var(--text-color);
}
.btn-color-2 {
  color: var(--text-color);
}

section {
  background-color: var(--base-variant);
}
p {
  margin: 10px 0 20px 0;
  color: var(--secondary-text);
}
button {
  border: none;
  padding: 0.8em 2em;
  background-color: var(--primary-color);
  color: white;
  border-radius: 4px;
  font: inherit;
  text-transform: uppercase;
  font-weight: 500;
  cursor: pointer;
}
.cta-button {
  background-color: var(--accent-color);
}
#theme-switch {
  height: 50px;
  width: 50px;
  padding: 0;
  border-radius: 50%;
  background-color: transparent;
  display: flex;
  align-items: center;
  z-index: 100;
}
#theme-switch svg {
  fill: var(--text-color);
}
#theme-switch svg:last-child {
  display: none;
}
.darkmode #theme-switch svg:first-child {
  display: none;
}
.darkmode #theme-switch svg:last-child {
  display: block;
}

/*HAMBURGER ICON */
#menu-icon {
  font-size: 2rem;
  display: none;
}

/* SECTIONS */

section {
  padding-top: 4vh;
  height: 96vh;
  margin: 0 10rem;
  box-sizing: border-box;
  min-height: fit-content;
}

.section-container {
  display: flex;
}

/* PROFILE SECTION */

#profile {
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 110vh;
}
.profilepicture {
  box-shadow: 0 20px 5px 5px rgba(0, 0, 0, 0.2);
  animation: animate 5s ease-in-out infinite;
  transition: all 1s ease-in-out;
}

@keyframes animate {
  0% {
    border-radius: 60% 40% 30% 70%/60% 30% 70% 40%;
  }
  50% {
    border-radius: 30% 60% 70% 40%/50% 60% 30% 60%;
  }
  100% {
    border-radius: 60% 40% 30% 70%/60% 30% 70% 40%;
  }
}

.section__pic-container {
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.section__text {
  align-self: center;
  text-align: center;
}

.section__text p {
  font-weight: 600;
}

.section__text__p1 {
  margin-bottom: 0.5rem;
  text-align: center;
}

.section__text__p2 {
  font-size: 1.75rem;
  margin-bottom: 1rem;
}

.title {
  font-size: 3rem;
  text-align: center;
}

#socials-container {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
  gap: 1rem;
}

/* ICONS */

.icon {
  cursor: pointer;
  height: 3rem;
}
.socials-container {
  display: flex;
  gap: 20px;
}
.socials-container a {
  background-color: white;
  padding: 1em;
  border-radius: 50%;
  height: 64px;
  width: 64px;
  box-sizing: border-box;
  flex-shrink: 0;
  display: grid;
  place-items: center;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
}
.socials-container a svg {
  height: 32px;
}
.socials-container a::before {
  content: attr(data-social);
  position: absolute;
  background-color: var(--accent-color);
  color: white;
  text-decoration: none;
  padding: 0.5em 1em;
  border-radius: 100px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
  transform: translateY(-30px) rotate(25deg);
  opacity: 0;
  transition: 200ms cubic-bezier(0.42, 0, 0.44, 1.68);
}
.socials-container a:hover {
  background-color: var(--accent-color);
  fill: white;
}
.socials-container a::after {
  content: "";
  position: absolute;
  height: 0;
  width: 0;
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
  border-top: 10px solid var(--accent-color);
  transform: translateY(0) rotate(25deg);
  opacity: 0;
  transition: 200ms cubic-bezier(0.42, 0, 0.44, 1.68);
}
.socials-container a:hover::before {
  transform: translateY(-65px) rotate(0);
  opacity: 1;
}
.socials-container a:hover::after {
  transform: translateY(-42px) rotate(0);
  opacity: 1;
}

/* BUTTONS */

.btn-container {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.btn {
  font-weight: 600;
  transition: all 300ms ease;
  padding: 1rem;
  width: 8rem;
  border-radius: 2rem;
}

.btn-color-1,
.btn-color-2 {
  border: rgb(53, 53, 53) 0.1rem solid;
}

.btn-color-1:hover,
.btn-color-2:hover {
  cursor: pointer;
}

.btn-color-1,
.btn-color-2:hover {
  background: rgb(53, 53, 53);
  color: white;
}

.btn-color-1:hover {
  background: rgb(0, 0, 0);
}

.btn-color-2 {
  background: none;
}

.btn-color-2:hover {
  border: rgb(255, 255, 255) 0.1rem solid;
}

.btn-container {
  gap: 1rem;
}

/* ABOUT SECTION */

#about {
  position: relative;
}

.about-containers {
  gap: 2rem;
  margin-bottom: 2rem;
  margin-top: 2rem;
}

.about-details-container {
  justify-content: center;
  flex-direction: column;
}

.about-containers,
.about-details-container {
  display: flex;
}

.about-pic {
  width: 500px;
  height: 500px;
  border-radius: 2rem;
}
.about-pic:hover {
  transform: scale(1.02);
  border-radius: 20px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
}

.arrow {
  position: absolute;
  right: -5rem;
  bottom: 2.5rem;
}

.details-container {
  padding: 1.5rem;
  flex: 1;
  border-radius: 2rem;
  border: rgb(53, 53, 53) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  text-align: center;
}

.details-container:hover {
  transform: scale(1.02);
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.1),
    rgba(255, 255, 255, 0)
  );
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border-radius: 20px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
}

.section-container {
  gap: 4rem;
  height: 80%;
}

.section__pic-container {
  height: 400px;
  width: 400px;
  margin: auto 0;
}

/* SKILLS SECTION */

#skills {
  position: relative;
}

.experience-sub-title {
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}

.experience-details-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.article-container {
  display: flex;
  text-align: center;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 2.5rem;
  justify-content: space-around;
}

article {
  display: flex;
  width: 10rem;
  justify-content: space-around;
  gap: 0.5rem;
}

article .icon {
  cursor: default;
}

/* PROJECTS SECTION */

#projects {
  position: relative;
}

.color-container {
  border-color: rgb(163, 163, 163);
}

.project-img {
  border-radius: 2rem;
  width: 90%;
  height: 90%;
}

.project-title {
  margin: 1rem;
}

.used {
  justify-content: center;
  display: grid;
  grid-template-columns: repeat(3, auto);
  gap: 15px;
}

.html,
.css,
.js,
.bs,
.figma,
.framer {
  font-weight: bold;
  border-style: solid;
  border-width: 1px;
  border: none;
  padding: 2px 10px 2px;
  border-radius: 10px;
  background: linear-gradient(115deg, #fec163, #de4313);
}

.css {
  background: linear-gradient(115deg, #62cff4, #2c67f2);
}

.js {
  background: linear-gradient(115deg, #fdeb71, #f8d800);
}

.framer {
  background: linear-gradient(115deg, #047caf, #a8e4ea);
}

.bs {
  background: linear-gradient(115deg, #e2b0ff, #9f44d3);
  grid-column: 1 / -1;
  justify-self: center;
  margin-top: -15px;
}

.figma {
  background: linear-gradient(115deg, #d16ba5, #86a8e7, #5ffbf1);
  grid-column: 1 / -1;
  justify-self: center;
  margin-top: 10px;
}

.project-btn {
  border-color: rgb(163, 163, 163);
}

/* CONTACT */

#contact {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 70vh;
}

.contact-info-upper-container {
  display: flex;
  justify-content: center;
  border-radius: 2rem;
  border: rgb(53, 53, 53) 0.1rem solid;
  border-color: rgb(163, 163, 163);
  background: (250, 250, 250);
  margin: 2rem auto;
  padding: 0.5rem;
}
.contact-info-upper-container:hover {
  transform: scale(1.02);
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.1),
    rgba(255, 255, 255, 0)
  );
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border-radius: 20px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
}

.contact-info-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  margin: 1rem;
}

.contact-info-container p {
  font-size: larger;
}

.contact-icon {
  cursor: default;
}

.email-icon {
  height: 2.5rem;
}

/* FOOTER SECTION */

footer {
  height: 20vh;
  margin: 0 1rem;
}

footer p {
  margin-top: 120px;
  font-size: 20px;
  text-align: center;
}
